f124416432faf19bc99af1f6d6512966e8d737a0
[squirrelmail.git] / plugins / squirrelspell / sqspell_options.php
1 <?php
2
3 /**
4 ** sqspell_options.php -- Main wrapper for the options interface.
5 **
6 ** Copyright (c) 1999-2002 The SquirrelMail development team
7 ** Licensed under the GNU GPL. For full terms see the file COPYING.
8 **
9 **
10 **
11 ** $Id$
12 **/
13
14 /*
15 ** Set a couple of constants. Don't change these, the setuppable stuff is
16 ** in sqspell_config.php
17 */
18 $SQSPELL_DIR='squirrelspell';
19 $SQSPELL_CRYPTO=FALSE;
20
21 /* Load some necessary stuff. */
22 chdir('..');
23 require_once('../src/validate.php');
24 require_once('../src/load_prefs.php');
25 require_once('../functions/strings.php');
26 require_once('../functions/page_header.php');
27 require_once("$SQSPELL_DIR/sqspell_config.php");
28 require_once("$SQSPELL_DIR/sqspell_functions.php");
29
30 /* Access the module needed */
31 if (!$MOD)
32 $MOD = 'options_main';
33
34 /*
35 ** see if someone is attempting to be nasty by trying to get out of the
36 ** modules directory, although it probably wouldn't do them any good,
37 ** since every module has to end with .mod.php. Still, they deserve
38 ** to be warned. ;)
39 */
40 if (strstr($MOD, ".") || strstr($MOD, "/") || strstr($MOD, "%")){
41 echo _("SECURITY BREACH ON DECK 5! CMDR TUVOK AND SECURITY TEAM REQUESTED.");
42 exit;
43 }
44 /* load the stuff already. */
45 require_once("$SQSPELL_DIR/modules/$MOD.mod.php");
46 ?>